package com.cesgroup.kingkong.web;

import java.util.Map;

import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.cesgroup.common.utils.RestAPIResult;
import com.cesgroup.kingkong.service.impl.QueryService;


@RestController
@RequestMapping("v1")
public class SearchContrllor {
	

	@Autowired
	private QueryService queryService;
	@RequestMapping(value = "queryById", method = { RequestMethod.POST })
	public RestAPIResult<Map<String, Object>> query(String id) {
		RestAPIResult<Map<String, Object>> panResult = new RestAPIResult<Map<String, Object>>();
		Map<String, Object> result = null;
		if(StringUtils.isNotBlank(id)) {
			result =queryService.getById(id);
			if (null!=result) {
				panResult.isSuccess();
				panResult.setRespMsg("信息查询成功！");
				panResult.setRespData(result);
			} else {
				panResult.error();
				panResult.setRespMsg("信息查询失败！");
			}
		}else {
			panResult.error("参数不能为空");
		}
		return panResult;
	}
	
}
